Bug 588049 - gnome-terminal required libgnome, but there is no package dependency
gnome-terminal required libgnome, but there is no package dependency
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Behdad Esfahbod
desktop-bugs@redhat.com
:
Depends On:
Blocks: 599016
  Show dependency treegraph
 
Reported: 2010-05-02 07:50 EDT by Gordan Bobic
Modified: 2010-11-10 15:34 EST (History)
3 users (show)

See Also:
Fixed In Version: gnome-terminal-2.29.6-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:34:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordan Bobic 2010-05-02 07:50:46 EDT
Description of problem:

gnome-terminal doesn't work unless libgnome is installed. It fails with:
ERROR:terminal-app.c:1445:terminal_app_init: assertion failed:
(app->system_font_desc != NULL)

Steps to Reproduce:
1. Do a minimal RHEL6b install
2. yum install xterm and gnome-terminal
3. startx
4. xterm starts, gnome-terminal does not. Running gnome-terminal in xterm returns the above error.
  
Actual results:
ERROR:terminal-app.c:1445:terminal_app_init: assertion failed:
(app->system_font_desc != NULL)

Expected results:
gnome-terminal should start

Additional info:
"yum install libgnome" fixes the problem.
Comment 2 RHEL Product and Program Management 2010-05-02 09:25:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Tomas Pelka 2010-05-10 04:54:59 EDT
Reproducer in description. Giving qa_ack.
Comment 6 Radek Lat 2010-08-24 08:30:31 EDT
Tested and Verified on gnome-terminal-2.31.3-4.el6.x86_64.
Comment 7 releng-rhel@redhat.com 2010-11-10 15:34:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.